Description

Давайте начнем с того, что колиммированный источник стоит перед левым верхним углом прототипа, если смотреть с

конца прототипа в сторону ФЭУ. Главная ось коллиматора идет вдоль файберов и находится на расстояниях 9.5 мм по

горизонтали и 9.5 мм по вертикали от центральной оси прототипа. Расстояние от края коллиматора до крышки прототипа 1

мм. Записываем амплитуды во всех каналах в каждом событии. Надо обратить внимание на то, чтобы нормировка амплитуд

была в средних одноэлектронах.  Для анализа нужны следующие гистограммы, которые можно  будет сравнить на

симулированных и лабораторных данных. Моделировать источник надо бокс генератором с опцией cos(Theta) в диапазоне

косинусов от 0.9 до 1 и равномерно по фи. Энергия гамма от Cs137 = 661.7 кэВ  Квантовая эффективность пусть пока

будет общая (20%).  Подстройка QE  по каналам и подбор индивидуальных порогов - это следующий этап

1) 2DH: число сработавших пикселей  в событии  vs. общий для всех каналов порог (канал=пиксель) 

2)2DH: суммарная амплитуда в событии   vs. общий для всех каналов порог 

3) следующие 1DH гистограммы надо делать для каждого из 64 каналов, Гистограммы заполняются  в том случае, если данный канал имеет максимальное энерговыделение в

событии. Смысл упраженния в попытке собрать все комптоновские электроны с максимальной энергией  и увидеть плечо в спектре. Какой-то из нижеследующих вариантов может оказаться наилучшим.

- амплитуда 

- сумма амплитуд этого канала и одной максимальной из  8-ми соседей

- сумма амплитуд этого канала, одной максимальной из  8-ми соседей и третьей по величине из числа каналов, входящих в общую четверку (2X*2Y) соседей, с каналами из предыдущего пункта

-сумма всех амплитуд в четырех соседях из предыдущего пункта.

 

 

History

#1 - 11/01/2017 07:41 PM - Sergey Belogurov

- Description updated

#2 - 11/01/2017 07:43 PM - Sergey Belogurov

- Description updated

#3 - 11/02/2017 05:05 PM - Sergey Belogurov

- Subject changed from симуляции для прототипа Нойрада to симуляции и анализ для прототипа Нойрада

- Description updated

- Category set to NeuRad

#4 - 11/02/2017 05:07 PM - Sergey Belogurov

- Description updated

#5 - 11/17/2017 07:04 PM - Sergey Belogurov

- Description updated
#6 - 12/07/2017 06:29 PM - Sergey Belogurov

- File H12700_TPMH1348E.pdf added

Дижитизация с геометрией dev/macro/geo/create_NeuRad_Wupper_Proto_geo.C крэшится. Егор видит проблему в сбое нумерации пикселей

и ставит вопрос о желаемой схеме нумерации.  Отвечаю.  Нумерация должна быть в СК, связанной с ФЭУ такая, как в прилагаемой

документации, только ось Y повернута вверх, ось Z входит в фотокатод со стороны детектора, а ось X торчит влево. Нумеруются пиксели

сначала в первом ряду (минимальный y) по x от минимального x (пиксель = 1) до максимального x (пиксель равен 8). Затем от пиксель = 9

до пиксель =16 в ряду с y=min+1  и  так до последнего ряда с максимальным y  номерами пикселей от пикчель = 57 до пиксель=64.  Это

должно работать и при наличии  submodule.   Надо придумать и реализовать  формулу пересчета пары чисел pixel-in-submodule и

number-of-submodule в номер пикселя в ФЭУ. Таким образом пишем в пойнте номер пикселя внутри ФЭУ и номер ФЭУ.

 

#7 - 12/07/2017 07:08 PM - Vitaliy Schetinin

Могу сказать только, что в рпедыдущих геометриях именно такоя нумерация и была

 

#8 - 12/08/2017 05:09 PM - Sergey Belogurov

Мой вопрос к Егору и  Виталику. Господа программисты, объясните мне где разумная граница между универсальностью и простотой.  Мы

хотим иметь нойрад дижитайзер конкретно под вупертальский прототип, или реалистично иметь  универсальный для других геометрий

тоже.  Что меня смущает сейчас. В dev/NeuRad/ERNeuRad.cxx заданы переменные:  Int_t pixel_in_submodule_X = 4;  Int_t

pixel_in_submodule_Y = 4;  Int_t submodule_in_module_X = 2;   Int_t submodule_in_module_Y = 2; В тоже время

в dev/macro/geo/create_NeuRad_Wupper_Proto_geo.C эти же переменные захардкожены циферками в строках 113-127 примерно так: for

(UInt_t iX=0; iX4; iX++). Как правильно делать в текущий момент?

 

#9 - 12/08/2017 05:26 PM - Egor Ovcharenko

Я сейчас над этим работаю. Вижу два пути.

1. Параллельно с геометрией формировать сопроводительный файл (типа geopar), в котором в каком-то machine-friendly виде

закодирована структура геометрии. То есть написано, сколько модулей, сколько субмодулей, сколько пикселей, и т.д. Далее этот par

файл легко читается специально отведённым классом (я так понимаю, задумка была, что это делает ERNewRadSetup?) и делаются

соответствующие действия в симуляции, дижитизации или где-либо ещё.

2. Очевидно, нужно ещё посидеть и развить эту мысль, но в целом идея следующая. Мы задаёмся какими-то ограничениями (скажем,

иерархией) и пишем где нужно некоторый код, который анализирует GeoManager считает количество дочерних узлов на разных уровнях и

проверяет имена. Я сейчас это делаю. В классе ERNeuRad больше не будет конкретно захардкоженных кол-ва чего-то в чём-то. Это будет

вытаскиваться прям из GeoManager'а.

ERNeuRad - это только симуляция. Мы уже, вроде бы, определились, что от симуляции через ERNeuRadPoint передаётся два числа -

номер ФЭУ и номер канала ФЭУ. Если я правильно понимаю, дижитизации тогда не нужно обращаться к геометрии - нужно только к

таблицам в digi.par? (но это не точно)
#10 - 12/08/2017 06:43 PM - Egor Ovcharenko

- File NeuRadDoc1.jpg added

- File NeuRadDoc2.jpg added

#11 - 12/13/2017 09:34 AM - Vitaliy Schetinin

1. Единственное ограничение на геометрию - ее структура(иерархия). Количество копий на каждом уровне и праметры шейпов это

вариативно. Если задаемся структурой то все остальное действительно нужно считывать с помощью gGeoManger. За это действительно

отвечает класс ERNeuRadSetup. Захардкодены были только субмодули введенные недавно. Просто не было временного ресурса это

нормально перенести в ERNeuRadSetup. Доставание всех остальных парметров уже было реализовано (так что не надо тут Америку

переоткрывать).

2. В диджитизации нужно представление о геометрии. К примеру длина файбера для расчета затухания. Все тоже тянется из Setup.

Также как и параметры электроники.

3.Я смотрю меняется нумерация объемов. У меня ноль бвл слева сверху. Это осознано?

#12 - 12/13/2017 04:09 PM - Sergey Belogurov

по поводу положения начала счета пикселей, я просил перевернуть на 180 градусов ту систему, которая реализована в документации к

ФЭУ. Это сделано для тго, чтобы ось y была направлена вверх.  Если нет возражений, я бы так и оставил, как Егор сейчас сделал. 

#13 - 12/15/2017 08:35 AM - Vitaliy Schetinin

Появилась материца кросстолков 5x5. Можно пару слов об этом?

#14 - 12/15/2017 04:52 PM - Sergey Belogurov

Да, я попросил Егора это ввести, поскольку есть ощущение, что в эксперимнетальных данных зажигается в целом большее число

пикселей, чем в симуляциях. Я хочу проверитть  гипотезу активного перетекания света между файберами, принадлежащими разным

пикселям. Это странно, поскольку по мнениюю Андрея Безбаха, все файберы были обмазаны белым а потом черным.  Вот формулировка: 

Просьба добавить  еще и кросс- толк  по 1% в каждого из "внучатых"  соседей.

Похоже, для понимания экспериментальных данных это существенно. Получится:

1  1    1    1  1

1  4.5 4.5 4.5  1

1  4.5   * 4.5  1

1  4.5 4.5 4.5  1

1  1    1    1  1
#15 - 02/26/2018 07:28 AM - Vitaliy Schetinin

- Target version set to DevPlan

Коллеги, что с этой задачей? Все висит в отдельной ветке и не влито в dev пока.

#16 - 02/26/2018 10:26 PM - Sergey Belogurov

Пока ждет.  Как только мы закончим с подготовкой эксперимнета h5, надеюсь, сядем с Иваном, Егором и Вратиком, проведем ревизию

того, что есть и двинемсяя к получению результатоав для статьи. 
